@echo off

cd..
if not exist doomlck.tmp goto start
echo     STARTING AUTOSAVE!
echo  Press any key to continue
pause > nul
goto backren

:start
echo > doomlck.tmp This file is needed for DOOMLCK/DMP. Don't delete it !

if exist tiles014.art ren tiles014.art tiles014.dn3
if exist tiles015.art ren tiles015.art tiles015.dn3
if exist tiles020.art ren tiles020.art tiles020.dn3
if exist tiles021.art ren tiles021.art tiles021.dn3
if exist tiles022.art ren tiles022.art tiles022.dn3
if exist tiles023.art ren tiles023.art tiles023.dn3

commit /xdoomdmp2\doomlck2.con /gdoomdmp2\doomdmp2.grp /gdoomdmp2\doommaps.grp /gdoomdmp2\doomeps4.grp %1 %2 %3 %4 %5 %6 %7 %8 %9
    
:backren
if exist tiles014.dn3 ren tiles014.dn3 tiles014.art
if exist tiles015.dn3 ren tiles015.dn3 tiles015.art
if exist tiles020.dn3 ren tiles020.dn3 tiles020.art
if exist tiles021.dn3 ren tiles021.dn3 tiles021.art
if exist tiles022.dn3 ren tiles022.dn3 tiles022.art
if exist tiles023.dn3 ren tiles023.dn3 tiles023.art
del doomlck.tmp
cd doomdmp2

echo Thank you for playing DOOM Deathmatch Pack v2.3
echo Created by the WolfHead (Main Work) & Mike Thomas (Additional E4 Mapping)
